package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.SecExperiment;
import com.railway.business.safetool.domain.vo.SecExpAddParmVo;
import com.railway.business.safetool.domain.vo.SecExpEndParmVo;
import com.railway.business.safetool.domain.vo.SecExpInfoVo;
import com.railway.business.safetool.domain.vo.SecExpListParmVo;
import com.railway.business.safetool.domain.vo.SecExpListVo;
import com.railway.business.safetool.domain.vo.SecExpNQParmVo;
import java.util.List;
/**
* 送检记录表
* @author lijie
* @date 2021/12/25
*/
public interface ISecExperimentService{

    /**
    * 新增
    */
    int create(SecExpAddParmVo secExpAddParmVo);

    /**
    * 更新
    */
    int update(SecExperiment info);
    int setToolTestState(SecExpNQParmVo nq);
    int setExperimentState(SecExpEndParmVo param);

    /**
    * 获取单个
    */
    SecExpInfoVo getInfo(String id);

    /**
    * 查询列表
    */
    List<SecExpListVo> getList(SecExpListParmVo param);

}
